ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceDeviceType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType
          - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceDeviceType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class VoiceDeviceType
      extends DeviceType

  Bean для типа устройства модуля Voice. Можно использовать как справочник: getContext().getDirectory( VoiceDeviceType.class )...
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

      `MGMT_TYPE_BGRADIUS, MGMT_TYPE_OTHER, MGMT_TYPE_SNMP, MGMT_TYPE_SSH, MGMT_TYPE_TELNET`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDeviceType()`
    `VoiceDeviceType(int id, java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMediationHandlerClass()` Получение класса-обработчика логов АТС.
    `java.lang.String` | `getMediationRuntimeHandlerClass()`
    `java.lang.String` | `getOmHandlerClass()` Получение класс-обработчика активации аккаунта модуля voice
    `boolean` | `isNas()`
    `void` | `setMediationHandlerClass(java.lang.String mediationHandlerClass)` Установка класса-обработчика логов АТС.
    `void` | `setMediationRuntimeHandlerClass(java.lang.String mediationRuntimeHandlerClass)`
    `void` | `setNas(boolean nas)`
    `void` | `setOmHandlerClass(java.lang.String omHandlerClass)` Установка класса-обработчика

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

      `getActiveConfigId, getComment, getConfig, getDeviceEntitySpecId, getDeviceManagerClass, getManagmentType, getProtocolHandlerClass, getSaHandlerClass, getServiceActivationType, isSource, setActiveConfigId, setComment, setConfig, setDeviceEntitySpecId, setDeviceManagerClass, setManagmentType, setProtocolHandlerClass, setSaHandlerClass, setServiceActivationType, setSource`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VoiceDeviceType

          public VoiceDeviceType()

    - #### VoiceDeviceType

          public VoiceDeviceType(int id,
                                 java.lang.String title)

  - ### Method Detail

    - #### getMediationHandlerClass

          public java.lang.String getMediationHandlerClass()

      Получение класса-обработчика логов АТС.
      Returns:
        класс-обработчик логов.

    - #### setMediationHandlerClass

          public void setMediationHandlerClass(java.lang.String mediationHandlerClass)

      Установка класса-обработчика логов АТС.
      Parameters:
        `mediationHandlerClass` - класс-обработчик логов.

    - #### isNas

          public boolean isNas()

    - #### setNas

          public void setNas(boolean nas)

    - #### getOmHandlerClass

          public java.lang.String getOmHandlerClass()

      Получение класс-обработчика активации аккаунта модуля voice
      Returns:

    - #### setOmHandlerClass

          public void setOmHandlerClass(java.lang.String omHandlerClass)

      Установка класса-обработчика
      Parameters:
        `omHandlerClass` -

    - #### getMediationRuntimeHandlerClass

          public java.lang.String getMediationRuntimeHandlerClass()

    - #### setMediationRuntimeHandlerClass

          public void setMediationRuntimeHandlerClass(java.lang.String mediationRuntimeHandlerClass)